/**
 * Contains the names of all links within this package.
 *
 * @example
```ts
const notifyTypeLinkId = await deep.id(
   PACKAGE_NAME,
   LinkName[LinkName.Notify]
)
```
 */
export declare enum LinkName {
    Device = 0,
    Name = 1,
    OperatingSystem = 2,
    WebViewVersion = 3,
    Manufacturer = 4,
    LanguageCode = 5,
    BatteryLevel = 6,
    LanguageTag = 7,
    IsCharging = 8,
    OsVersion = 9,
    IsVirtual = 10,
    Platform = 11,
    Model = 12
}
